services:
  nginx:
    image: nginx:alpine
    container_name: nginx
    restart: unless-stopped
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - /docker/nginx/conf.d:/etc/nginx/conf.d:ro
      - /docker/certbot/conf:/etc/letsencrypt:ro
      - /docker/certbot/www:/var/www/certbot:ro
      - /docker/wordpress/goodwalk.co.nz/html:/var/www/html:ro
    networks:
      - webnet

networks:
  webnet:
    external: true
